# %W% %G%
# Makefile for mvfs.o
#
#
# ------------------------------------------------------------------
# | Copyright Unpublished, Atria Software, Inc.  All Rights        |
# | Reserved.  This software contains proprietary and confidential |
# | information of Atria and its suppliers.  Use, disclosure or    |
# | reproduction is prohibited without the prior express written   |
# | consent of Atria.                                              |
# ------------------------------------------------------------------
# 
# change log:
#	bernard	07/14/94	initial version
#
# Makefile for mvfs parameters
# mvfs_param.c needs to be compiled on the target system
# to ensure it picks up target-specific parameter and
# offset values.
#

CC= /bin/xlc
LIBINC= /usr/lib

BIND= -b"glink:$(LIBINC)/glink64.o"

MDEP_CFLAGS= -q64 -D_ALL_SOURCE -D_BSD -D_POWER_MP -D_KERNEL -D_LONG_LONG -D__FULL_PROTO
MDEP_LDOPTS= -D0 -H512 -T512 -b64
MDEP_LDFLAGS= $(BIND) $(MDEP_LDOPTS)
COPTS= -O $(MDEP_CFLAGS)

STDIMP= -b"I:$(LIBINC)/kernex.exp I:$(LIBINC)/syscalls.exp"
MVFSIMP= $(STDIMP) -b"I:kernex_mvfs.exp I:nfs.exp"
MVFSEXP= -b"E:mvfs.exp"
MVFSIMPEXP= $(MVFSIMP) $(MVFSEXP)

PREOBJECTS= premvfs.o mvfs_param.o

all: mvfs.o

premvfs.o:
	-head premvfs.o > /dev/null

mvfs_param.o: mvfs_param.c mvfs_when.h
	$(CC) -c $(COPTS) mvfs_param.c

mvfs.o: $(PREOBJECTS)
	$(LD) -o mvfs.o -e mvfs_config $(MDEP_LDFLAGS) $(MVFSMAP) $(MVFSIMPEXP) $(PREOBJECTS) 2> /dev/null
